# Подключение внешних проектов
include(ExternalProject)

# cmake-format: off
list(APPEND _ext_project_args
  myx-qping
  SOURCE_DIR          ${CMAKE_SOURCE_DIR}/thirdparty/myx-qping
  INSTALL_DIR         ${CMAKE_BINARY_DIR}
  DOWNLOAD_COMMAND    ""
  CONFIGURE_COMMAND   ${CMAKE_COMMAND} -G "${CMAKE_GENERATOR}"
                         -DCMLIB_MAIN_DIR=${CMLIB_MAIN_DIR}
                         ${CMLIB_EXT_PROJ_DEFAULT_ARGS}
                      <SOURCE_DIR>)

if(MyxQPingThirdparty_FIND_COMPONENTS STREQUAL "headers")
  list(APPEND _ext_project_args
    BUILD_COMMAND     true
    INSTALL_COMMAND   ${CMAKE_MAKE_PROGRAM} myx-qping-install-headers)
endif()
ExternalProject_Add(${_ext_project_args})
unset(_ext_project_args)

set(MYX_QPING_IS_EXTERNAL_PROJECT ON CACHE BOOL "" FORCE)
# cmake-format: on

set(MYX_QPING_PREFIX
    ${CMAKE_BINARY_DIR}
    CACHE FILEPATH "" FORCE)
set(MYX_QPING_INCLUDE_DIR
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_INCLUDEDIR}
    CACHE PATH "" FORCE)
set(MYX_QPING_INCLUDE_DIRS
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_INCLUDEDIR}
    CACHE PATH "" FORCE)
set(MYX_QPING_LIBRARY_DIR
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}
    CACHE PATH "" FORCE)
set(MYX_QPING_LIBRARIES
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}/libmyx-qping.a
    CACHE FILEPATH "" FORCE)
